label start:
    default timeObj = timeClass()
    default map = mapClass()
    default playerInventory = {}
    default player = playerCharacterClass('[playerName]', '#CC66DD', 100, 100, playerInventory)
    # default character = {}

    define Mom = Character("Mom", color='#33BB33')
    define Narrator = Character(None, color='#999999')

    default sideBarImage = "profile_pants.png"

    show screen sideBarScreen()

    default unknownHooker = npcCharacterClass("Unknown Hooker", '#CC0066', 50, 100, 0)
    default hostelOwner = npcCharacterClass("Slimy Joe", '#774411', 100, 100, 10)
    default marjorie = npcCharacterClass("Marjorie", '#CC0099', 250, 100, 25)
    default katrina = npcCharacterClass("Katrina", '#BB1177', 100, 100, 25)

    python:
        playerInventory["Pants"] = itemClass("Your lucky pants, plus they are your only pants", "lowerBody", None)
        # character["UnknownHooker"] = npcCharacterClass("Unknown Hooker", '#CC0066', 50, 100, 0)
        # character["HostelOwner"] = npcCharacterClass("Slimy Joe", '#774411', 100, 100, 10)
        # character["Marjorie"] = npcCharacterClass("Marjorie", '#CC0099', 250, 100, 25)
        # character["Katrina"] = npcCharacterClass("Katrina", '#BB1177', 100, 100, 25)

    default Player = wrapCharacter(player)
    default UnknownHooker = wrapCharacter(unknownHooker)
    # default UnknownHooker = wrapCharacter(character["UnknownHooker"])
    default HostelOwner = wrapCharacter(hostelOwner)
    default Marjorie = wrapCharacter(marjorie)
    default Katrina = wrapCharacter(katrina)

    jump intro


# label dailyRoutine: #pun intended
#
#     menu:
#         "Do you want to stay here or go somewhere else?"
#
#         "Stay here.":
#             $ renpy.jump(player.location)
#
#         "Leave and go somewhere else.":
#
#     jump dailyRoutine

label downtownRedlight:

    scene downtown_redlight

    menu:
        "You are at the redlight district downtown. What do you want to do?"

        "Look for the brothel":
            jump brothel

        "Go to the hostel":
            jump hostel

        "Go somehere else":
            call screen mapScreen()

        # "Leave for now.":
        #     jump dailyRoutine

label hostel:

    scene hostel_lobby

    menu:
        "What do you want to do?"

        "Go to the redlight district":
            jump downtownRedlight

        "Go to your room":
            jump hostelroom

        "Go somehere else":
            call screen mapScreen()

label hostelroom:

    scene hostel_room

    menu:
        "Sleep.":
            $ player.sleep(480)
            jump hostelroom

        "Leave.":
            jump hostel

label brothel:

    scene brothel_katrina

    menu:
        "What do you want to do?"

        "Go to the redlight district":
            jump downtownRedlight

        "Go somehere else":
            call screen mapScreen()

label mapScreen:

    # handling...
    # set new location
    $ renpy.jump(player.location)

label gameover:

    Narrator "GAMEOVER - can't you listen? Just once?!"

    return
