# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define true = "true" # or whatever != None for easier coding and better readability
init:
    $ player = None
# default timeObj = None

init python:

    class timeClass:
        def __init__(self):
            self.minute = 30
            self.hour = 21
            self.day = 0

        def passTime(self,amount):
            self.minute += amount
            while (self.minute >= 60):
                self.minute -= 60
                self.hour += 1
                if (self.hour >= 24):
                    self.day += 1
                    self.hour = 0
                    self.dayChange()

        def dayChange(self):
            player.loseMight(10)
            #rent calculation and all the other stuff

        def getMinute(self):
            if (self.minute < 10):
                return "0"+str(self.minute)
            else:
                return self.minute

        def getHour(self):
            if (self.hour < 10):
                return "0"+str(self.hour)
            else:
                return self.hour

    class itemClass:
        def __init__(self, name, equipslot, effectlist):
            self.name = name
            self.equipslot = equipslot
            self.effectlist = effectlist

    class locationClass:
        def __init__(self, name, known):
            self.name = name
            self.known = known

    class mapClass:
        def __init__(self):
            self.downtownRedlight = locationClass("downtownRedlight", None)
            self.hostel = locationClass("hostel", true)
            self.trainstation = locationClass("trainstation", true)

    class skillClass:
        def __init__(self):
            self.bj = 0
            self.vsex = 0
            self.asex = 0
            self.tj = 0

    class characterClass:
        def __init__(self, name, color, maxHP, maxAP):
            self.name = name
            self.color = color
            self.maxHP = maxHP
            self.curHP = self.maxHP
            self.maxAP = maxAP
            self.curAP = self.maxAP
            self.Smarts = 0
            self.Strength = 0
            self.Survivability = 0
            self.Sluttiness = 0
            self.Seduction = 0
            self.skills = skillClass()
            self.location = None

        def getMaxHP(self):
            return self.curHP

        def getCurHP(self):
            return self.curHP

        def getMaxAP(self):
            return self.curHP

        def getCurAP(self):
            return self.curHP

        def hurt(self, amount):
            self.curHP -= amount
            if (self.curHP <= 0):
                self.curHP = 0
            return self.curHP # because somehow it is beyond me how to access it from child

        def heal(self, amount):
            self.curHP += amount
            if (self.curHP > self.maxHP):
                self.curHP = self.maxHP

    class npcCharacterClass(characterClass):
        def __init__(self, name, color, maxHP, maxAP, disposition):
            characterClass.__init__(self, name, color, maxHP, maxAP)
            self.dispositionPlayer = disposition

    class playerCharacterClass(characterClass):
        def __init__(self, name, color, maxHP, maxAP, inventory):
            characterClass.__init__(self, name, color, maxHP, maxAP)
            characterClass.Smarts = 1
            characterClass.Strength = 2
            characterClass.Strength = 2
            characterClass.Sluttiness = 3
            characterClass.Seduction = 2
            self.inventory = inventory
            self.equipment = {"Clothes" : {"Top" : None, "Bottom" : None}, "Jewellery" : {"Neck" : None, "Ring" : None}, "Piercings" : {"Tongue" : None, "Navel" : None}}
            self.tattoos = {"Trampstamp" : None}
            self.exp = 0
            self.might = 0
            self.money = 0
            self.heat = 0 # how much suspicion is going around that there is an unknown daemon in the district

        def hurt(self, amount):
            if (super(playerCharacterClass, self).hurt(amount) == 0):
                    renpy.jump('gameover')

        def sleep(self, time):
            self.curAP = self.maxAP
            self.heal((self.maxHP/20))
            timeObj.passTime(time)

        def loseMight(self, amount):
            self.might -= amount
            if (self.might <= 0):
                self.might = 0
                self.hurt(self.maxHP/5)

    def wrapCharacter(char):
        return Character(char.name, color=char.color)

    def sexWork(char, type, payment):
        if (type == "ghbj"):
            char.exp += 20
            char.might += 5
            char.curAP -= 10
            char.skills.bj += 10
            char.money += payment
            timeObj.passTime(10)
screen sideBarScreen():

    # image eileen composite = Composite(
    # (300, 600),
    # (0, 0), "body.png",
    # (0, 0), "clothes.png",
    # (50, 50), "expression.png")

    vbox:
        frame:
            vbox:
                spacing 5
                hbox:
                    spacing 10
                    text "{size=15}HP: [player.curHP]/[player.maxHP]{/size}" xalign 0.0 yalign 0.00
                    bar value player.curHP range player.maxHP xalign 0.0 yalign 0.0 xmaximum 100 ymaximum 5 left_bar "#CC0000"

                hbox:
                    spacing 10
                    text "{size=15}AP: [player.curAP]/[player.maxAP]{/size}" xalign 0.0 yalign 0.0
                    bar value player.curAP range player.maxAP xalign 0.0 yalign 0.0 xmaximum 100 ymaximum 5 left_bar "#0000CC"

                hbox:
                    $ minute = timeObj.getMinute()
                    $ hour = timeObj.getHour()
                    text "{size=10} Exp: [player.exp] {/size}"
                    text "{size=10} Might: [player.might] {/size}"
                    text "{size=10} Money: [player.money] {/size}"
                    text "{size=10} [hour]:[minute] {/size}"


        # replace with composition of body parts
        # face overlaid with hair (trasparent)
        # lips, makeup
        # upper body, overlayed with necklace
        # 2 ring slots
        # lower body
        # shoes
        add sideBarImage

screen mapScreen():

    add "citymap.jpg"

    imagebutton idle "redlight_button.jpg" xpos 830 ypos 560 action Show("redlighMenuScreen") #action Function(renpy.jump, label='downtownRedlight') # 200,113

screen redlighMenuScreen():
    modal True
    default x = renpy.get_mouse_pos()[0]
    default y = renpy.get_mouse_pos()[1]

    frame:
        pos (x + 10, y + 20)
        has vbox
        textbutton "Redlight district":
            action Hide("redlighMenuScreen"), Function(renpy.jump, label='downtownRedlight')
        textbutton "Brothel":
            action Hide("redlighMenuScreen"), Function(renpy.jump, label='brothel')
